#ifndef TEST_UTILS_H
#define TEST_UTILS_H

#define TCP_SNDUTO_TIMEOUT	0x80
#define TCP_RCVUTO_TIMEOUT	0x100


int tcp_bind(char *addr, char *port);
void uto_set(int s, int send_uto, int recv_uto);
void uto_get(int s, int *send_uto, int *recv_uto);
int listen_uto(char *laddr, char *port, int send_uto, int recv_uto);
int connect_uto(char *laddr, char *raddr, char *rport, int send_uto, int recv_uto);
void port_down(char *port);
void port_up();
void server_disconnect(char *laddr, char *lport, int downtime, int send_uto,
    int recv_uto);
void client_generic(char *laddr, char *raddr, char *rport,
    int send_uto, int recv_uto);

#endif
